### Enumeration

# WPEWebKit InsecureContentEvent

since: 2.0

#### Declaration

    enum WPEWebKit.InsecureContentEvent

#### Description [src]

Enum values used to denote the different events which can trigger the detection of insecure content.

Available since: 2.0

#### Members

`WEBKIT_INSECURE_CONTENT_RUN`

  Insecure content has been detected by trying to execute any kind of logic (e.g. a script) from an untrusted source.

  - Value: `0`
  - Nickname: `run`
  - Available since: 2.0
`WEBKIT_INSECURE_CONTENT_DISPLAYED`

  Insecure content has been detected by trying to display any kind of resource (e.g. an image) from an untrusted source.

  - Value: `1`
  - Nickname: `displayed`
  - Available since: 2.0